## net.sourceforge.pmd.dfa
Class StartOrEndDataFlowNode

    java.lang.Object
      net.sourceforge.pmd.dfa.DataFlowNode
          net.sourceforge.pmd.dfa.StartOrEndDataFlowNode

All Implemented Interfaces:
  IDataFlowNode

public class StartOrEndDataFlowNode
extends DataFlowNode

Field Summary

Fields inherited from class net.sourceforge.pmd.dfa.DataFlowNode
`children, dataFlow, line, parents, type, variableAccess`

Constructor Summary
`StartOrEndDataFlowNode(java.util.LinkedList dataFlow, int line, boolean isStartNode)`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class net.sourceforge.pmd.dfa.DataFlowNode
`addPathToChild, getChildren, getFlow, getIndex, getLine, getParents, getSimpleNode, getVariableAccess, isType, removePathToChild, reverseParentPathsTo, setType, setVariableAccess`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StartOrEndDataFlowNode

    public StartOrEndDataFlowNode(java.util.LinkedList dataFlow,
                                  int line,
                                  boolean isStartNode)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `DataFlowNode`

Copyright © 2002-2006 InfoEther. All Rights Reserved.